Last modified: 2013-04-01 19:47:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15886 - commonPrint.css breaks subscripts in IE7
commonPrint.css breaks subscripts in IE7
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.21.x
PC All
: Low major (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.wikipedia.org/w/index.php?t...
:
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2008-10-07 20:47 UTC by Christopher Yeleighton
Modified: 2013-04-01 19:47 UTC (History)
2 users (show)

See Also:
Web browser: Internet Explorer
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Christopher Yeleighton 2008-10-07 20:47:15 UTC
The following declaration in printCommon.css damages the display of subscripts in Microsoft Internet Explorer (7):

p, .documentDescription {
    margin: 1em 0 ! important;
    line-height: 1.2em;
}

The subscripts get partially covered by the following line, the lower part disappears on selecting text.

The workaround is to specify

P { LINE-HEIGHT: AUTO }

somewhere afterwards.
Comment 1 Derk-Jan Hartman 2009-05-12 23:00:36 UTC
On en.wp we are now experimenting with some CSS added trough js, http://en.wikipedia.org/w/index.php?title=MediaWiki%3ACommon.js&diff=289159257&oldid=284132757

Specifically targeted for IE.
Comment 2 Andre Klapper 2013-03-14 17:01:29 UTC
(In reply to comment #0)
> The following declaration in printCommon.css damages the display of
> subscripts in Microsoft Internet Explorer (7):
> p, .documentDescription {


Christopher: Looks like this does not exist anymore? 

At least I cannot find "documentDescription" or "printCommon.css" anywhere in the MediaWiki codebase.
Comment 3 Andre Klapper 2013-03-14 17:17:51 UTC
I stand corrected. core/skins/common/commonPrint.css still exists, with this line:

p {
	margin: 1em 0;
	line-height: 1.2em;
}
Comment 4 Christopher Yeleighton 2013-04-01 19:47:39 UTC
I do not know about v7 but the subscripts look all right in v8.  Effective line-height is 1.5em.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links